#ifndef _AGENT_H_
#define _AGENT_H_

#define MAX_MOVES_IN_LIST 50
#define MAX_GHOSTS 3

enum Move {UP=0, DOWN, LEFT, RIGHT};

typedef struct Agent {
	int xPos, yPos;
	char symbol;
	int numMovesInList;
	int moveList[MAX_MOVES_IN_LIST];
} Agent;

typedef Agent ** AgentList;

void NewAgent(Agent * a);
int AddMove(Agent * a, int m);
int RemoveMove(Agent * a, int moveNum);
int ClearMoves(Agent * a);
int DumpMoveList(Agent * a);

#endif
